all: etape1 etape2 etape3

etape1:
	@echo "Étape n°1 : Attendre 5 seconde"
	@sleep 5
	@echo "Étape n°1 terminée"
	@touch etape1.txt

etape2: etape1
	@echo "Étape n°2 : Attendre 10 seconde"
	@sleep 10
	@echo "Étape n°2 terminée"
	@touch etape2.txt

etape3: etape2
	@echo "Étape n°3 : Attendre 15 seconde en plusieurs fois"
	@sleep 5
	@echo "5 secondes passées"
	@sleep 5
	@echo "10 secondes passées"
	@sleep 5
	@echo "15 secondes passées"
	@echo "Étape n°3 terminée"
	@touch etape3.txt

clean:
	@echo "Nettoyage des fichiers de test"
	@rm -f etape1.txt etape2.txt etape3.txt


